Bug 1093128 - [GSS](6.3.0) Remote client transaction timeout values are overwritten by hardcoded values
[GSS](6.3.0) Remote client transaction timeout values are overwritten by hard...
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ER6
: EAP 6.3.0
Assigned To: Ivo Studensky
Jan Martiska
Russell Dickenson
Depends On:
Blocks: 1093752 1159058
  Show dependency treegraph
Reported: 2014-04-30 12:56 EDT by Stephen Fikes
Modified: 2016-04-29 16:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previous releases of JBoss EAP 6 carried an issue that may have resulted in remote client transactions spanning multiple servers timing out earlier or later than expected. The issue arised because timeout values are not propagated across servers correctly, leaving the system to rely on the hardcoded timeout value (300 seconds). This issue is resolved in JBoss EAP 6.3.0.
Story Points: ---
Clone Of:
: 1093752 (view as bug list)
Last Closed: 2014-06-28 11:25:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2789 Major Resolved Remote client transaction timeout values are overwrote by hardcoded values 2017-06-27 22:49 EDT
Red Hat Knowledge Base (Solution) 1134833 None None None 2016-04-29 16:41 EDT

  None (edit)
Description Stephen Fikes 2014-04-30 12:56:44 EDT
Description of problem:
See https://issues.jboss.org/browse/WFLY-2789

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Ivo Studensky 2014-05-27 06:58:48 EDT
PR sent:
Comment 2 Jan Martiska 2014-06-10 07:34:22 EDT
Verified in EAP 6.3.0.ER7.
Comment 3 Jan Martiska 2014-07-02 04:23:59 EDT
Hi Scott, I changed the doc to reflect that this is a bugfix, not a known issue in EAP 6.3.0. Could you make sure this change gets reflected in the next build of release notes? Thanks.
Comment 4 Stephen Fikes 2016-04-29 16:28:11 EDT
The resolution of this issue was to change the hardcoded timeout from 300 seconds (5 minutes) to Integer.MAX_VALUE.
Comment 5 Stephen Fikes 2016-04-29 16:29:08 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=1265300 for a subsequent refinement.

Note You need to log in before you can comment on or make changes to this bug.